## boinc 7.2.7+dfsg

=== debian/changelog ===
boinc (7.2.7+dfsg-1) unstable; urgency=low

  * New upstream release, patch refresh.
  * Linking libboinc_crypt.so against $(SSL_LIBS).

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 25 Jul 2013 10:56:43 +0200

boinc (7.2.4+dfsg-1exp1) experimental; urgency=low

  [ Steffen Moeller ]
  * New upstream version.
    - reduced clang warnings patches

  [ Guo Yixuan ]
  * Removed a workaround (for seti segfault).

 -- Guo Yixuan <culu.gyx@gmail.com>  Wed, 24 Jul 2013 14:21:51 +0800

boinc (7.1.21+dfsg-1exp2) experimental; urgency=low

  * php5-gd only recommended for boinc-server-maker

 -- Steffen Moeller <moeller@debian.org>  Thu, 27 Jun 2013 22:05:48 +0200

boinc (7.1.21+dfsg-1exp1) UNRELEASED; urgency=low

  * Added boinc-server-maker package.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 27 Jun 2013 14:52:53 +0200

boinc (7.1.21+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Added adding_lpthread_and_ljpeg.patch to fix a FTBFS
    with ubuntu saucy.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 27 Jun 2013 14:49:00 +0200

boinc (7.1.20+dfsg-1) unstable; urgency=low

  * New upstream release.
    - Italian translation fixed.
    - Really fixed (lp: #179849), for a configure error
      dpms code wasn't built.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Tue, 25 Jun 2013 09:25:31 +0200

boinc (7.1.18+dfsg-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 19 Jun 2013 19:09:48 +0200

boinc (7.1.10+dfsg-2) UNRELEASED; urgency=low

  * Experimenting with memory-only shared-memory
    This is highly incompatible with regular clients.
    It is expected to work only with Debian's clients after a rebuild.

 -- Steffen Moeller <moeller@debian.org>  Wed, 19 Jun 2013 17:50:55 +0200

boinc (7.1.10+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Readding sleep (10 seconds) to workaround GPU bug (lp: #1177433)

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 07 Jun 2013 08:34:03 +0200

boinc (7.1.7+dfsg-1) UNRELEASED; urgency=low

  * New upstream release.
    Many patches have been accepted upstream.
  * Bumped debian/compat to 9.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 05 Jun 2013 11:47:49 +0200

boinc (7.1.1+dfsg-2) UNRELEASED; urgency=low

  * compiled with clang
    - removed patches no longer required

 -- Steffen Moeller <moeller@debian.org>  Thu, 16 May 2013 22:09:08 +0200

boinc (7.1.1+dfsg-1) UNRELEASED; urgency=low

  [ Steffen Moeller ]
  * Introduced series of fclose() to fight potential file pointer leak
  * Addressed a few issues with .po files (de) as indicated on
    http://i18n.debian.org/l10n-pkg-status/b/boinc.html
  [ Gianfranco Costamagna ]
  * New upstream release.
  * Tweaked debian/watch.
  * Removed some patches accepted upstream.
  * Simplified debian/rules.
  * Patch refresh.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 16 May 2013 22:09:08 +0200
