=== debian/changelog ===
boinc (7.2.42+dfsg-1) unstable; urgency=medium

  * New upstream hotfix release.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 01 Mar 2014 11:34:55 +0100

boinc (7.2.39+dfsg-2) unstable; urgency=low

  [ Gianfranco Costamagna ]
  * Probably fixed kfreebsd-* build failure with upstream patch
    0001-Client-Unix-attempt-to-fix-freebsd-build-error

  [ Guo Yixuan (郭溢譞) ]
  * Updated my uid in debian/control.
  * Corrected dependencies for boinc-dev split (Closes: #739663):
    - libboinc7: added breaks + replaces boinc-dev << 7.0.28+dfsg-3.
  * Brought boinc-amd-opencl back to sid.

 -- Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>  Tue, 25 Feb 2014 01:21:44 -0500

boinc (7.2.39+dfsg-1) unstable; urgency=low

  * New upstream stable release, patch refresh
  * moved boinc-amd-opencl to experimental, to avoid "new" upload.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Tue, 18 Feb 2014 10:05:05 +0100

boinc (7.2.33+dfsg-2) UNRELEASED; urgency=low

  [Gianfranco Costamagna]
  * debian/rules
    - server always built
  * debian/control 
    - Moved from libcuda1-ia32 to libcuda1-i386 (Closes: #730841)
    - Removed ia32-libs references (Closes: #736814)
    - Removed libcuda-5.0-1, provided by libcuda1
    - Re-enabled boinc-amd-opencl for unstable
    - Dropped nvidia-current in favour of nvidia-304 | nvidia-310 | nvidia-319
      (LP: #1268409)
    - Added Jussi Lahtinen's patch for fixing LP: #1274456

  [Steffen Moeller]
  * Removed Daniel Hahler and Rene Mayorga from uploaders list
  * More rigorous clean: target (.libs, config.status, libtool)

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 15 Feb 2014 14:33:45 +0100

boinc (7.2.33+dfsg-1) unstable; urgency=low

  * New upstream public release.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 25 Nov 2013 18:02:52 +0100

boinc (7.2.28+dfsg-1exp2) UNRELEASED; urgency=low

  * Enabling boinc-amd-opencl for experimental builds

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 21 Nov 2013 11:35:52 +0100

boinc (7.2.28+dfsg-1exp1) experimental; urgency=low

  * Same as -1, with server packages.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 08 Nov 2013 21:21:30 +0100

boinc (7.2.28+dfsg-1) unstable; urgency=low

  * New upstream public release.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 08 Nov 2013 20:48:06 +0100

boinc (7.2.27+dfsg-1exp1) experimental; urgency=low

  * New upstream version, with server packages.
  * Bumped policy to 3.9.5 - no changes required

 -- Steffen Moeller <moeller@debian.org>  Tue, 05 Nov 2013 21:03:04 +0100

boinc (7.2.22+dfsg-1exp1) experimental; urgency=low

  * Same as -1, with server packages.

 -- Guo Yixuan <culu.gyx@gmail.com>  Sat, 19 Oct 2013 00:24:11 -0400

boinc (7.2.22+dfsg-1) unstable; urgency=low

  [ Gianfranco Costamagna ]
  * New upstream release

  [ Guo Yixuan ]
  * Removed boinc-amd-opencl, since fglrx-driver was removed from testing.

 -- Guo Yixuan <culu.gyx@gmail.com>  Sat, 19 Oct 2013 00:05:53 -0400

boinc (7.2.17+dfsg-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Guo Yixuan <culu.gyx@gmail.com>  Mon, 23 Sep 2013 13:29:53 -0400

boinc (7.2.14+dfsg-1exp2) UNRELEASED; urgency=low

  [ Steffen Moeller ]
  * Adapting for upstream's additional directories in html/
  * boinc-server-maker
    - works with Apache 2.4's extra security
    - added recommends for coreutils because of 'arch' utility

  [ Guo Yixuan ]
  * Disabled silent rules for build log check.
    (debian/patches/disable_silent_rules.patch)

 -- Steffen Moeller <moeller@debian.org>  Sat, 31 Aug 2013 20:08:38 +0200

boinc (7.2.14+dfsg-1exp1) experimental; urgency=low

  * Building boinc-server-maker package

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 31 Aug 2013 01:05:41 +0200

boinc (7.2.14+dfsg-1) unstable; urgency=low

  * New upstream release
  * Now the server package is built or not depending on
    the debian target series:
    - target=unstable, server NOT built
    - target=experimental, server built
  * Fixed clean in debian/rules file

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 31 Aug 2013 00:57:40 +0200

boinc (7.2.11+dfsg-1exp4) UNRELEASED; urgency=low

  [ Gianfranco Costamagna ]
  * Addressed executable-not-elf-or-script lintian warning
    - usr/lib/boinc-server-maker/tools/project.xml
    - usr/share/doc/boinc-server-maker/examples/wrapper/build_android.sh
  * Addressed other file permissions problems
  * Fixed italian localization problem

  [ Guo Yixuan ]
  * Added ${python:Depends} and ${perl:Depends} to debian/control.in

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 24 Aug 2013 01:20:07 +0200

boinc (7.2.11+dfsg-1exp3) experimental; urgency=low

  * Tweaked again hurd patches, now the missing
    MAXPATHLEN should have been addressed

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 22 Aug 2013 23:14:34 +0200

boinc (7.2.11+dfsg-1exp2) experimental; urgency=low

  * Trying to fix hurd ftbfs

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 22 Aug 2013 14:19:03 +0200

boinc (7.2.11+dfsg-1exp1) experimental; urgency=low

  * Added boinc-server-maker package

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 21 Aug 2013 16:51:49 +0200

boinc (7.2.11+dfsg-1) unstable; urgency=low

  * New upstream release
    - Localizations updated
  * Fixed some lintian warnings

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 21 Aug 2013 16:36:51 +0200

boinc (7.2.10+dfsg-1exp1) experimental; urgency=low

  * New upstream release, enabled server building.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 12 Aug 2013 00:43:09 +0200

boinc (7.2.10+dfsg-1) unstable; urgency=low

  * New upstream release, patch refresh.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 12 Aug 2013 00:39:28 +0200

boinc (7.2.7+dfsg-2) UNRELEASED; urgency=low


