=== debian/rules ===
--- 
+++ 
@@ -132,29 +132,42 @@
   export CXX=clang
 endif
 
+ifeq (,$(DEB_OPT_FLAGS))
+   DEB_OPT_FLAGS = -O3 -funroll-loops -fforce-addr -ffast-math
+endif
+
 CFLAGS += $(DEB_OPT_FLAGS)
 CXXFLAGS += $(DEB_OPT_FLAGS)
 
 CFLAGS_boinc-client := $(CFLAGS)
 CXXFLAGS_boinc-client := $(CXXFLAGS)
 
-ENABLE_SERVER_TEST := $(shell egrep '^Package:.*boinc-server-maker' debian/control.in)
-ENABLE_SERVER := --disable-server
-ifneq (,$(ENABLE_SERVER_TEST))
+#copy the original control.in file
+$(shell cp debian/control.in debian/control)
+$(shell sed '/^#/d' -i debian/control)
+
+# check if we need to enable server packages, based on "exp" string in changelog
+ENABLE_EXPERIMENTAL_TEST := $(shell dpkg-parsechangelog | egrep '^Distribution:' |egrep -v 'experimental|UNRELEASED')
+
+ifeq (,$(ENABLE_EXPERIMENTAL_TEST))
+$(shell sed 's/^%//' -i debian/control)
+else
+$(shell sed '/^%/d' -i debian/control)
+endif
+
+ENABLE_SERVER_TEST := $(shell egrep '^Package:.*boinc-server-maker' debian/control debian/control.in | grep -v boinc-server-maker)
+ifeq (,$(ENABLE_EXPERIMENTAL_TEST))
 ENABLE_SERVER := --enable-server
-TMP=$(shell sed -e 's/^%//' debian/control.in > debian/control)
-else
-TMP=$(shell egrep -v '^%' debian/control.in > debian/control)
-endif
-
-ENABLE_CLIENT_TEST := $(shell egrep '^Package:.*boinc$$' debian/control.in)
-ENABLE_CLIENT := --disable-client --disable-manager
-ifneq (,$(ENABLE_CLIENT_TEST))
+endif
+
+#ENABLE_CLIENT_TEST := $(shell egrep '^Package:.*boinc$$' debian/control debian/control.in)
+#ifneq (,$(ENABLE_CLIENT_TEST))
 ENABLE_CLIENT := --enable-client --enable-manager --enable-dynamic-client-linkage
-TMP=$(shell sed -i 's/^@//' debian/control)
-else
-TMP=$(shell sed -i '/^@/d' debian/control)
-endif
+$(shell sed 's/^@//' -i debian/control)
+#else
+#ENABLE_CLIENT := --disable-client --disable-manager
+#$(shell sed '/^@/d' -i debian/control)
+#endif
 
 # --disable-static
 # For debugging, these options are useful:
@@ -180,7 +193,8 @@
 # Default rule
 
 %:
-	if [ ! -f debian/control -o debian/control.in -nt debian/control ]; then \
+	dh $@ --parallel --with python2
+#	if [ ! -f debian/control -o debian/control.in -nt debian/control ]; then \
 		echo "Generating debian/control file from debian/control.in" ; \
 		( \
 		if egrep -q '^Package:.*boinc-server-maker' debian/control.in; then \
@@ -196,13 +210,16 @@
 		fi \
 		) > debian/control; \
 	fi
-	dh $@ --parallel --with python2
 
 override_dh_clean:
 	dh_clean
 	rm -rf config.log
 	rm -rf clientscr/.libs override_dh_auto_install
-	rm -rf debian/boinc-app-examples debian/boinc-server-maker debian/boinc-app-examples.substvars debian/boinc-server-maker.substvars
+	rm -rf debian/boinc-app-examples   debian/boinc-app-examples.substvars
+	rm -rf debian/boinc-server-maker   debian/boinc-server-maker.substvars
+	rm -rf debian/boinc-server-dbg     debian/boinc-server-dbg.substvars
+	rm -rf debian/boinc-cgi-stripchart debian/boinc-cgi-stripchart.substvars
+	rm -rf debian/*.debhelper
 	rm -rf debian/tmp autoreconf-stamp build-*-stamp install-*-stamp
 	rm -fr debian/boinc-amd-opencl debian/boinc-screensaver # for cases when this is not in debian/control
 	rm -f debian/boinc-screensaver.substvars debian/boinc-amd-opencl.substvars # dito
@@ -211,32 +228,11 @@
 	rm -f api/libboinc_graphics2.la
 	rm -f test-driver
 	rm -f sched/adjust_user_priority sched/size_regulator
+	rm -f config.status libtool version.h stamp-h1
+	find . -name ".libs" | xargs -r rm -r
 
 # Commands not to execute - empty overrides
 override_dh_auto_test:
 
 #test-stamp:
 #	dh_testdir
-#	xmllint --nonet --noout \
-#	  debian/conffiles/cc_config.xml \
-#	  debian/conffiles/global_prefs_override.xml
-#	touch $@
-
-override_dh_auto_configure:
-	./_autosetup
-	#if [ ! -r ltmain.sh ]; then libtoolize; fi
-	#aclocal-1.9 -I m4 && autoheader && automake-1.9 --add-missing && autoconf
-	@echo
-	@echo "****             *****"
-	@echo "**** Configuring *****"
-	@echo "****             *****"
-	@echo
-	cp -f /usr/share/misc/config.guess config.guess
-	cp -f /usr/share/misc/config.sub config.sub
-	./configure $(CFGFLAGS_boinc-client)
-
-update-boinc-applinks.1: debian/manpages/update-boinc-applinks.xml
-	docbook2x-man debian/manpages/update-boinc-applinks.xml
-
-# noopt, not necessary
-# CFLAGS_noopt = $(subst -O2,-O0,$(CFLAGS))
